CREATE TABLE je_pcd_history (
    HISTORY_ID               NUMBER(18, 0),
    REQUEST_ID               NUMBER(18, 0),
    DOCUMENT_ID              NUMBER(18, 0),
    APPLICATION_ID           NUMBER(18, 0),
    PRINT_MODE               VARCHAR2(120),
    PRINT_TEMPLATE           VARCHAR2(960),
    PRINT_DATE               DATE         ,
    PRINTED_BY               VARCHAR2(400),
    PRINT_LANG               VARCHAR2(16) ,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PRINT_OUTPUT_ID          NUMBER(18, 0),
    HISTORY_ID               NUMBER(18, 0),
    REQUEST_ID               NUMBER(18, 0),
    DOCUMENT_ID              NUMBER(18, 0),
    APPLICATION_ID           NUMBER(18, 0),
    PRINT_MODE               VARCHAR2(120),
    PRINT_TEMPLATE           VARCHAR2(960),
    PRINT_DATE               DATE         ,
    PRINTED_BY               VARCHAR2(400),
    PRINT_LANG               VARCHAR2(16) ,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PRINT_OUTPUT_ID          NUMBER(18, 0),
    CONSTRAINT pk_je_pcd_history PRIMARY KEY (HISTORY_ID, HISTORY_ID)
);
